% three categories

clear;

T = 60;

% percentage change == 1; else pp change
pct = 1;

zerovec = zeros(1,T);
timevec = linspace(1,T,T);

load ./HSV_HAT/irfpos/simxhlow.csv
load ./HSV_HAT/irfpos/simxhmid.csv
load ./HSV_HAT/irfpos/simxhhigh.csv
simxh1(1,:) = simxhlow';
simxh1(2,:) = simxhmid';
simxh1(3,:) = simxhhigh';
load ./HSV_HAN/irfpos/simxhlow.csv
load ./HSV_HAN/irfpos/simxhmid.csv
load ./HSV_HAN/irfpos/simxhhigh.csv
simxh2(1,:) = simxhlow';
simxh2(2,:) = simxhmid';
simxh2(3,:) = simxhhigh';
load ./HSV_HAF/irfpos/simxhlow.csv
load ./HSV_HAF/irfpos/simxhmid.csv
load ./HSV_HAF/irfpos/simxhhigh.csv
simxh3(1,:) = simxhlow';
simxh3(2,:) = simxhmid';
simxh3(3,:) = simxhhigh';

figure;

for i = 1:3
    subplot(1,3,i)
    temp = simxh1(i,:)';
    if pct == 1
        plot(timevec,temp(2:T+1),'LineWidth',3.0); ylim([-2 6])
    else
        plot(timevec,temp(2:T+1),'LineWidth',3.0); %ylim([-6 3])
    end    
    hold on;
    temp = simxh2(i,:)';
    if pct == 1
        plot(timevec,temp(2:T+1),'r--','LineWidth',3.0)
    else
        plot(timevec,temp(2:T+1),'r--','LineWidth',3.0)
    end
    hold on;
    temp = simxh3(i,:)';
    if pct == 1
        plot(timevec,temp(2:T+1),'g:','LineWidth',3.0)
    else
        plot(timevec,temp(2:T+1),'g:','LineWidth',3.0)
    end
    hold on
    plot(timevec,zerovec,'k:','LineWidth',0.5)
    if pct == 1
        if (i==1)
            xlabel('Quarter'); ylabel('% deviation from s.s.');
            title('Low productivity');
        elseif (i==2)
            xlabel('Quarter');
            title('Mid productivity');
        elseif (i==3)
            xlabel('Quarter');
            title('High productivity');
            legend('Model (HA-T)','Model (HA-N)','Model (HA-F)','Location','SouthEast');
        end
    else
        
        if (i==1)
            xlabel('Quarter'); ylabel('% point deviation from s.s.');
            title('Low productivity');
        elseif (i==2)
            xlabel('Quarter');
            title('Mid productivity');
        elseif (i==3)
            xlabel('Quarter');
            title('High productivity');
            legend('Model (HA-T)','Model (HA-N)','Model (HA-F)','Location','SouthEast');
        end
    end
end
