function iloc = gridlookup2(r,grid,valplace)
% ! Looking for index of grid about a value
% ! Code from Aubhik's matlab code
% ! R(input) :  number of inner grids
% ! grid(input) : grid we have
% ! valplace(input) : value we have
% ! iloc(output) : index number

ilow = 1;
ihigh = r+2;
distance = 2;

while (distance > 1)

    inow = floor((ilow + ihigh)/2.0);
    valnow = grid(inow);

    if (valnow > valplace)
        ihigh = inow;
    else
        ilow = inow;
    end

    distance = ihigh - ilow;

end

iloc = ilow;