function [f p] = linearsol(ALPHA,DELTA,BETA,ETA,taul,RHOZ,KYss,GYss,Kss,Css,Hss,kgrid,zgrid)

% variables: lk(-1), lz(-1), lc, ly, lh
A = zeros(5,5);
B = zeros(5,5);

%lc - lc(+1) + BETA*ALPHA/KYss*(ly(+1)-lk) = 0;
A(1,1) = BETA*ALPHA/KYss;
A(1,3) = 1;
A(1,4) = -BETA*ALPHA/KYss;
B(1,3) = 1;

%-ly + lz + ALPHA*lk(-1) + (1-ALPHA)*lh = 0;
A(2,2) = -1;
B(2,1) = ALPHA;
B(2,4) = -1;
B(2,5) = 1-ALPHA;

%(1-DELTA*KYss-GYss)*lc + KYss*(lk - (1-DELTA)*lk(-1)) -
%(1-taul*(1-ALPHA))*ly = 0
A(3,1) = -KYss;
B(3,1) = -KYss*(1-DELTA);
B(3,3) = 1-DELTA*KYss-GYss;
B(3,4) = -(1-taul*(1-ALPHA));

%-lc + ly - lh = 0
B(4,3) = -1;
B(4,4) = 1;
B(4,5) = -1;

%-lz + RHOZ*lz(-1) + ez = 0
A(5,2) = 1;
B(5,2) = RHOZ;

[f,p] = solab(A,B,2);