module sort
!use mod_parameters
    
contains
SUBROUTINE bsort(N,X,Y,Ind)
implicit none
Integer, intent(in) :: N
Real(8), intent(in) :: X(N)
Real(8), intent(out) :: Y(N)
Integer, intent(out) :: Ind(N)
Real(8) ::temp,XX(N)
Integer :: I, J, K,tempind(N),tempi
Logical :: sorted

sorted = .false.

tempind=0
Do J=1,N
    tempind(J)=J
end do
K=0
XX= X
Do while(.not.Sorted)
    Sorted = .true.
    K = K + 1
    Do J = 1, N-K
        If (XX(J)>XX(J+1)) then
            temp = XX(J)
            XX(J)=XX(J+1)
            XX(J+1)=temp
            tempi=tempind(J)
            tempind(J)=tempind(J+1)
            tempind(J+1) = tempi
            sorted = .false.
        end if
    end do
end do
Y= XX
Ind=tempind
end subroutine bsort



SUBROUTINE bsort2(ini,lst,X,Y,Ind)
implicit none
Integer, intent(in) :: ini,lst
Real(8), intent(in) :: X(ini:lst)
Real(8), intent(out) :: Y(1:lst-ini+1)
Integer, intent(out) :: Ind(1:lst-ini+1)
Real(8) ::temp,XX(1:lst-ini+1)
Integer :: I, J, K,tempind(1:lst-ini+1),tempi
Logical :: sorted

sorted = .false.

tempind=0
Do J=1,lst-ini+1
    tempind(J)=J
end do
K=0
XX(1:lst-ini+1)= X(ini:lst)
Do while(.not.Sorted)
    Sorted = .true.
    K = K + 1
    Do J = 1, lst-ini+1-K
        If (XX(J)>XX(J+1)) then
            temp = XX(J)
            XX(J)=XX(J+1)
            XX(J+1)=temp
            tempi=tempind(J)
            tempind(J)=tempind(J+1)
            tempind(J+1) = tempi
            sorted = .false.
        end if
    end do
end do
Y= XX
Ind=tempind+ini-1
end subroutine bsort2




end module sort

                