function f0 = policy(x0,cfmat,kgrid,know,znow,ALPHA,DELTA,BETA,ETA,taul,Tr)

rk = size(kgrid,1)-2;

n0  = x0(1,:);
kp0 = x0(2,:);

ynow = znow*know^ALPHA*n0^(1-ALPHA);
yterm = (1-DELTA)*know + (1-taul*(1-ALPHA))*ynow + Tr;
cnow = yterm - kp0;
cnow = max(cnow,1e-4);

% RHS of the Euler equation
ERHS = speva(cfmat,kp0,rk,kgrid);

f0(1,:) = -ETA*cnow*n0 + (1-taul)*(1-ALPHA)*ynow;
f0(2,:) = -1/cnow + BETA*ERHS;